.lines.no-lines .line-col:before {
    opacity: 0;
}

.lines {

    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    font-size: 0;
    pointer-events: none;
    z-index: 11;
    text-align: center;

    .content {
        //margin-left: -600px;
        position: absolute;
        //left: 50%;
        left: 0;
        top: 0;
        width: 100%;
        //max-width: 1230px; //-- Bootstrap .container max-width
        @media (max-width: $screen-md-max) {
            left: 0;
            //margin-left: 0;
        }
    }

    .line-col {
        position: relative;
        float: left;
        vertical-align: top;
        width: 20%;
        height: 100vh;

        &::before {
            content: '';
            position: absolute;
            left: 0;
            top: 0;
            width: 1px;
            height: 0;
            background: rgba(255, 255, 255, .1);
            transition: height 0.65s cubic-bezier(.165, .85, .45, 1) 0s;
        }

        &::after {
            content: '';
            position: absolute;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            background: $body;
            z-index: 12;
            transition: height 0.65s cubic-bezier(.165, .85, .45, 1) 0s;
        }
    }

    .line-col:first-child:before {
        background: 0 0;
    }

    .line-col:first-child:after {
        left: auto;
        right: 0;
        width: 1000%;
    }

    .line-col:nth-child(1):before {
        -o-transition-delay: 1.25s;
        -webkit-transition-delay: 1.25s;
        transition-delay: 1.25s;
    }

    .line-col:nth-child(1):after {
        top: 0;
        bottom: auto;
        -webkit-transition-delay: .7s;
        -o-transition-delay: .7s;
        transition-delay: .7s;
    }

    .line-col:nth-child(2):before {
        -o-transition-delay: 1.5s;
        -webkit-transition-delay: 1.5s;
        transition-delay: 1.5s;
    }

    .line-col:nth-child(2):after {
        top: auto;
        bottom: 0;
        -webkit-transition-delay: 0.5s;
        -o-transition-delay: 0.5s;
        transition-delay: 0.5s;
    }

    .line-col:nth-child(3):before {
        -o-transition-delay: 1.25s;
        -webkit-transition-delay: 1.25s;
        transition-delay: 1.25s;
    }

    .line-col:nth-child(3):after {
        top: 0;
        bottom: auto;
        -webkit-transition-delay: 0.25s;
        -o-transition-delay: 0.25s;
        transition-delay: 0.25s;
    }

    .line-col:nth-child(4):before {
        -o-transition-delay: 1.5s;
        -webkit-transition-delay: 1.5s;
        transition-delay: 1.5s;
    }

    .line-col:nth-child(4):after {
        top: auto;
        bottom: 0;
        -webkit-transition-delay: 0.75s;
        -o-transition-delay: 0.75s;
        transition-delay: 0.75s;
    }

    .line-col:nth-child(5):before {
        -o-transition-delay: 1.55s;
        -webkit-transition-delay: 1.55s;
        transition-delay: 1.55s;
    }

    .line-col:nth-child(5):after {
        top: 0;
        bottom: auto;
        -webkit-transition-delay: 0.8s;
        -o-transition-delay: 0.8s;
        transition-delay: 0.8s;
    }

    @media (max-width: $screen-xs-max) {
        .line-col {
            width: 50%;
            &:nth-child(3), &:nth-child(4), &:nth-child(5) {
                &:before {
                    display: none;
                }
            }
        }
    }
}

.lines.finish .line-col:before {
    height: 100%;
}

.lines.finish .line-col:after {
    height: 0;
}

.lines-off .lines .line-col:before {
    display: none;
}

.lines-on .lines .line-col:before {
    display: block;
}
